slepc-3.21.1 2024-04-26
Report Typos and Errors

# STMatMatSolve

Solves P X = B, where P is the preconditioner matrix of the spectral transformation, using a KSP object stored internally.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STMatMatSolve(ST st,Mat B,Mat X)

Collective

### Input Parameters

| st | - the spectral transformation context
| B | - right hand side vectors

### Output Parameter

| X | - computed solutions

### See Also

STMatSolve()

### Level

developer

### Location

src/sys/classes/st/interface/stsles.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages